import { CheckCircleIcon } from "@heroicons/react/24/outline";
import { Course } from "@nice/common";
import { motion } from "framer-motion";
import React from "react";
import CourseDetailSkeleton from "../CourseDetailSkeleton";
import CourseDetailNavBar from "./CourseDetailNavBar";
interface CourseDetailProps {
	course: Course;
	isLoading: boolean;
}

export const CourseDetailDescription: React.FC<CourseDetailProps> = ({
	course,
	isLoading,
}) => {
	return (
		<>
			<CourseDetailNavBar></CourseDetailNavBar>

			<div className="w-[80%] mx-auto px-4 py-8">
				{isLoading || !course ? (
					<CourseDetailSkeleton />
				) : (
					<CourseDetailSkeleton />
				)}
			</div>
		</>
	);
};
