import { NavBar } from "@web/src/components/presentation/NavBar";
import { HomeIcon, BellIcon } from "@heroicons/react/24/outline";
import {
	DocumentTextIcon,
	MagnifyingGlassIcon,
	StarIcon,
} from "@heroicons/react/24/solid";

export default function CourseDetailNavBar() {
	const navItems = [
		{
			id: "search",
			icon: <MagnifyingGlassIcon className="w-5 h-5" />,
			label: "搜索",
		},
		{
			id: "overview",
			icon: <HomeIcon className="w-5 h-5" />,
			label: "概述",
		},
		{
			id: "notes",
			icon: <DocumentTextIcon className="w-5 h-5" />,
			label: "备注",
		},
		{
			id: "announcements",
			icon: <BellIcon className="w-5 h-5" />,
			label: "公告",
		},
		{
			id: "reviews",
			icon: <StarIcon className="w-5 h-5" />,
			label: "评价",
		},
	];

	return (
		<div className=" bg-gray-50">
			<NavBar
				items={navItems}
				defaultSelected="overview"
				onSelect={(id) => console.log("Selected:", id)}
			/>
		</div>
	);
}
